Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit
Class ComponentDesc

    java.lang.Object
      SEdit.ElementDesc
          SEdit.NodeDesc
              SEdit.ComponentDesc

    public class ComponentDesc

extends NodeDesc

Field Summary
`static int` | `MODULE_FIXED`
`static int` | `MODULE_FREE`
`static int` | `MODULE_PLACEMENT_AUTO`
`static int` | `MODULE_PLACEMENT_JUSTIFIED`
`static int` | `MODULE_PLACEMENT_MANUAL`
`static int` | `MODULE_TEMPLATE`

Fields inherited from class SEdit.NodeDesc
`iconName`

Fields inherited from class SEdit.ElementDesc
`ACTIONPROPERTIES, actions, category, debug, elementClass, graphicClass, GRAPHICPROPERTIES, icon, PROPERTIES`

Constructor Summary
`ComponentDesc(java.lang.String name, java.lang.String desc, java.lang.String classname)`
`ComponentDesc(java.lang.String name, java.lang.String desc, java.lang.String classname, int module, int lay)`

Method Summary
`void` | `addModuleConnector(java.lang.String name, ConnectorDesc cnx, ConnectorPlacement cp)`
`ConnectorPlacement` | `getConnectorPlacement(java.lang.String name)`
`int` | `getLayout()` Get the value of layout.
`int` | `getModule()` Get the value of module.
`SConnect` | `makeConnector(java.lang.String name)` A factory method that builds a new element according to the description
`java.util.Hashtable` | `makeConnectors()` A factory method that builds a new element according to the description
`void` | `setLayout(int v)` Set the value of layout.
`void` | `setModule(int v)` Set the value of module.
`java.lang.String` | `toString()`

Methods inherited from class SEdit.NodeDesc
`getIconName, isStandardDefaultValue, setIconName`

Methods inherited from class SEdit.ElementDesc
`addActionDesc, addActionDesc, getAction, getActions, getCategory, getDefaultLabel, getDescription, getElementClass, getFormalism, getGraphicClass, getGraphicProperties, getIcon, getName, getProperties, hasActions, hasIcon, isDefaultValue, makeElement, setActions, setCategory, setDefaultLabel, setElementClass, setFormalism, setGraphicClass, setGraphicProperties, setIcon, setName, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MODULE_FREE

    public static final int MODULE_FREE

See Also:
  Constant Field Values

### MODULE_FIXED

    public static final int MODULE_FIXED

See Also:
  Constant Field Values

### MODULE_TEMPLATE

    public static final int MODULE_TEMPLATE

See Also:
  Constant Field Values

### MODULE_PLACEMENT_AUTO

    public static final int MODULE_PLACEMENT_AUTO

See Also:
  Constant Field Values

### MODULE_PLACEMENT_JUSTIFIED

    public static final int MODULE_PLACEMENT_JUSTIFIED

See Also:
  Constant Field Values

### MODULE_PLACEMENT_MANUAL

    public static final int MODULE_PLACEMENT_MANUAL

See Also:
  Constant Field Values

Constructor Detail

### ComponentDesc

    public ComponentDesc(java.lang.String name,
                         java.lang.String desc,
                         java.lang.String classname,
                         int module,
                         int lay)

### ComponentDesc

    public ComponentDesc(java.lang.String name,
                         java.lang.String desc,
                         java.lang.String classname)

Method Detail

### getLayout

    public int getLayout()

  Get the value of layout.

  Returns:
    Value of layout.

### setLayout

    public void setLayout(int v)

  Set the value of layout.

  Parameters:
    `v` - Value to assign to layout.

### getModule

    public int getModule()

  Get the value of module.

  Returns:
    Value of module.

### setModule

    public void setModule(int v)

  Set the value of module.

  Parameters:
    `v` - Value to assign to module.

### addModuleConnector

    public void addModuleConnector(java.lang.String name,
                                   ConnectorDesc cnx,
                                   ConnectorPlacement cp)

### makeConnectors

    public java.util.Hashtable makeConnectors()

  A factory method that builds a new element according to the description

### makeConnector

    public SConnect makeConnector(java.lang.String name)

  A factory method that builds a new element according to the description

### getConnectorPlacement

    public ConnectorPlacement getConnectorPlacement(java.lang.String name)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `NodeDesc`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.